Bug 120466 - Inconsistent xkb option names for altwin
Summary: Inconsistent xkb option names for altwin
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-09 00:23 UTC by Derek Poon
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-12 18:08:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Makes option names consistent as described (1.22 KB, patch)
2004-04-09 00:32 UTC, Derek Poon
no flags Details | Diff

Description Derek Poon 2004-04-09 00:23:31 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040312 Epiphany/1.1.12

Description of problem:
In xkb config files in /usr/X11R6/lib/X11/xkb,

rules/xfree86 has lines
  ...
  altwin:meta_alt       =  +altwin(left_meta_win)
  altwin:meta_win       =  +altwin(meta_win)
  altwin:left_meta_win  =  +altwin(left_meta_win)
  altwin:super_win      =  +altwin(super_win)
  altwin:hyper_win      =  +altwin(hyper_win)
  ...

but rules/xfree86.lst contains
  ...
  altwin:meta_alt      Alt and Meta on the Alt keys (default).
  altwin:meta_win      Meta is mapped to the Win-keys.
  altwin:left_meta_win Meta is mapped to the left Win-key.
  altwin:meta_super    Super is mapped to the Win-keys (default).
  altwin:meta_hyper    Hyper is mapped to the Win-keys.
  ...

To be consistent, the last two lines should say altwin:super_win and
altwin:hyper_win.

The analogous correction should be made to rules/xfree86.xml as well.

Version-Release number of selected component (if applicable):
xorg-x11-0.0.6.6-0.0.2004_03_11.9

How reproducible:
Always

Steps to Reproduce:
as described

Additional info:

Comment 1 Derek Poon 2004-04-09 00:32:12 UTC
Created attachment 99259 [details]
Makes option names consistent as described

Comment 2 Derek Poon 2004-04-09 00:35:35 UTC
libxklavier-1.00-1 has a near copy of
/usr/X11R6/lib/X11/xkb/rules/xfree86.xml in
/usr/share/libxklavier/xfree86.xml

Comment 3 Mike A. Harris 2004-04-09 10:48:19 UTC
This type of changes need to be approved by the upstream xkb
maintainer, and applied to upstream sources first so that there
is a single unified version of these datafiles.  The benefits
of doing this include:

- Every distribution and user who uses the upstream sources out
  there will benefit from the change, rather than just one distro.

- The changes get reviewed by the official upstream maintainer,
  and either accepted as-is, modified to fix any issues the
  maintainer may have with the request/patch/etc., or rejected
  with reasons/rationale given.

- Distributions do not have to fork of these files, and then
  maintain and update them each new release when the patches no
  longer apply.

- If the changes have unforseen consequences, or break something,
  it is not a distribution specific bug.

- It establishes a common standard which everyone accepts and uses.

If you could report this request upstream to xorg bugzilla on
http://bugs.freedesktop.org against the "xorg" component, that
would expediate consideration of the request.


Comment 4 Mike A. Harris 2004-04-09 10:50:02 UTC
If you would like us to track the upstream bug report once it's
filed, please paste the URL here, and I'll add it to the internal
tracker.

Thanks for reporting this issue.

Comment 5 Mike A. Harris 2004-10-12 18:08:23 UTC
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.



Note You need to log in before you can comment on or make changes to this bug.